
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>数据分析师的基本素养——论如何成为一名数据科学家 Part 2 / iVAN</title>

    <meta name="description" content="数据分析师的基本素养——论如何成为一名数据科学家 Part 2 更多深度文章,请关注: https://yq.aliyun.com/cloud 本文为&lt;数据分析师的基本素养--论如何成为一名数据科学家&gt;文章的第二部分,第一部分请点击这里. Pronojit Saha,数据发烧友 数据科学入门的自学之路 对于那些想要入门数据科学的新手,这里有一份大纲,或许能够为大家提供一些思路.(其内容摘自我的一篇博客:如何获得&quot;基本技能集&quot;-自主学习的方式).我的建议是从下面每项建议中逐一挑选一到两个资料或链接,掌握其中介绍的内容. 基本的先 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">数据分析师的基本素养——论如何成为一名数据科学家 Part 2</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>更多深度文章，请关注：</strong> https://yq.aliyun.com/cloud</p>
<p>本文为《数据分析师的基本素养——论如何成为一名数据科学家》文章的第二部分，第一部分请点击这里。</p>
<hr>
<br /><strong><a href="https://www.quora.com/profile/Pronojit-Saha" rel="external nofollow noreferrer">Pronojit Saha</a>，数据发烧友</strong></p>
<p><strong>数据科学入门的自学之路</strong></p>
<p>对于那些想要入门数据科学的新手，这里有一份大纲，或许能够为大家提供一些思路。（其内容摘自我的一篇博客：<a href="https://hail-data.quora.com/How-to-acquire-the-Essential-Skill-Set-the-Self-Starter-way" rel="external nofollow noreferrer">如何获得"基本技能集"—自主学习的方式</a>）。我的建议是从下面每项建议中逐一挑选一到两个资料或链接，掌握其中介绍的内容。</p>
<ol>
<li><strong>基本的先决条件</strong>：</p>
<ul>
<li>数学、算法与数据库：<a href="http://mathispower4u.yolasite.com/calculus.php" rel="external nofollow noreferrer">Mathispower4u - 微积分</a>、<a href="https://www.coursera.org/course/matrix" rel="external nofollow noreferrer">Coursera - 线性代数</a>、<a href="https://www.coursera.org/course/algo" rel="external nofollow noreferrer">Coursera - 算法分析</a>、<a href="https://www.coursera.org/course/db" rel="external nofollow noreferrer">Coursera - 数据库导论</a></li>
<li>统计学：<a href="http://www.greenteapress.com/thinkstats/" rel="external nofollow noreferrer">面向程序员的概率论与统计学</a>、<a href="http://www.evanmiller.org/statistical-formulas-for-programmers.html" rel="external nofollow noreferrer">面向程序员的统计学公式</a>、<a href="https://www.coursera.org/course/dataanalysis" rel="external nofollow noreferrer">Coursera - 数据分析</a>、<a href="https://www.coursera.org/course/stats1" rel="external nofollow noreferrer">Coursera - 统计学1</a></li>
<li>编程：<a href="http://www.r-bloggers.com/google-developers-r-programming-video-lectures/" rel="external nofollow noreferrer">Google开发者社区 - R语言编程讲座</a>、<a href="https://www.datacamp.com/courses/introduction-to-r" rel="external nofollow noreferrer">DataCamp - R语言导论</a>、<a href="https://github.com/jrjohansson/scientific-python-lectures" rel="external nofollow noreferrer">Python科学计算简介</a>、<a href="http://interactivepython.org/courselib/static/thinkcspy/index.html" rel="external nofollow noreferrer">如何像一名计算机科学家一样思考</a></li>
</ul>
</li>
<li><strong>数据采集与清洗</strong>
<ul>
<li>分布式文件系统与数据库：<a href="https://www.coursera.org/learn/hadoop/" rel="external nofollow noreferrer">Coursera - Hadoop平台与应用框架</a>、<a href="http://developer.yahoo.com/hadoop/tutorial/" rel="external nofollow noreferrer">Yahoo - Hadoop入门教程</a>、<a href="https://www.udacity.com/course/intro-to-hadoop-and-mapreduce--ud617" rel="external nofollow noreferrer">Udacity - Hadoop与MapReduce新手指南</a>、MongoDB初学者指南)</li>
<li>数据再加工：<a href="http://horicky.blogspot.com.au/2012/05/predictive-analytics-data-preparation.html" rel="external nofollow noreferrer">预测分析 - 数据预处理</a>、<a href="http://nbviewer.ipython.org/urls/gist.github.com/fonnesbeck/5850413/raw/3a9406c73365480bc58d5e75bc80f7962243ba17/2.+Data+Wrangling+with+Pandas.ipynb" rel="external nofollow noreferrer">基于Pandas的数据清洗</a>、<a href="https://github.com/jonathanrocher/pandas_tutorial" rel="external nofollow noreferrer">使用Pandas分析与管理数据</a>、<a href="http://vis.stanford.edu/wrangler/" rel="external nofollow noreferrer">Data Wrangler</a>、<a href="http://openrefine.org/" rel="external nofollow noreferrer">OpenRefine</a></li>
</ul>
</li>
<li><strong>数据挖掘与过滤</strong>：
<ul>
<li>基于R的数据分析：<a href="http://courses.had.co.nz/12-oscon/" rel="external nofollow noreferrer">R语言数据科学</a>、<a href="https://www.coursera.org/course/compdata" rel="external nofollow noreferrer">Coursera - 基于R的数据分析计算</a></li>
<li>基于Python的数据分析（numpy、scipy、pandas、scikit）：<a href="https://www.kaggle.com/wiki/GettingStartedWithPythonForDataScience" rel="external nofollow noreferrer">Python数据科学入门</a>、<a href="https://github.com/enthought/Numpy-Tutorial-SciPyConf-2015" rel="external nofollow noreferrer">SciPy 2015简介 - NumPy入门</a>、<a href="https://github.com/fonnesbeck/statistical-analysis-python-tutorial" rel="external nofollow noreferrer">Python与Pandas统计数据分析</a>、<a href="https://github.com/jakevdp/sklearn_scipy2013" rel="external nofollow noreferrer">SciPy 2013 - SciKit Learn入门教程I&amp;II</a></li>
<li>探索性数据分析：<a href="http://chemicalstatistician.wordpress.com/2013/06/16/exploratory-data-analysis-combining-box-plots-and-kernel-density-plots-with-violin-plots-for-ozone-pollution-data/" rel="external nofollow noreferrer">基于R的探索性数据分析</a>、<a href="http://nbviewer.ipython.org/urls/raw.github.com/cs109/content/master/lec_04_wrangling.ipynb" rel="external nofollow noreferrer">基于Python的探索性数据分析</a>、<a href="https://www.edx.org/course/uc-berkeley/stat2-1x/introduction-statistics/594" rel="external nofollow noreferrer">UC Berkeley - 描述性统计学</a>、<a href="http://practical-data-science.blogspot.in/2012/09/basic-unix-shell-commands-for-data.html" rel="external nofollow noreferrer">Unix Shell数据科学命令基础</a></li>
<li>数据挖掘、机器学习：<a href="http://saedsayad.com/data_mining_map.htm" rel="external nofollow noreferrer">数据挖掘学习路线图</a>、<a href="https://www.coursera.org/course/ml" rel="external nofollow noreferrer">Coursera - 机器学习</a>、<a href="http://online.stanford.edu/course/statistical-learning-winter-2014" rel="external nofollow noreferrer">Stanford - 统计学习</a>、<a href="https://www.edx.org/course/mitx/mitx-15-071x-analytics-edge-1416" rel="external nofollow noreferrer">MITx - 分析学应用</a>、<a href="http://www-stat.stanford.edu/~jtaylo/courses/stats202/index.html" rel="external nofollow noreferrer">STATS 202 数据挖掘与分析</a>、<a href="http://work.caltech.edu/telecourse" rel="external nofollow noreferrer">CalTech - 数据驱动学习</a>、<a href="https://www.coursera.org/course/bigdata" rel="external nofollow noreferrer">Coursera - Web智能与大数据</a></li>
<li>大数据机器学习：<a href="http://ampcamp.berkeley.edu/big-data-mini-course/" rel="external nofollow noreferrer">AMP Camp Berkeley Spark导论与练习</a>、<a href="https://www.edx.org/course/big-data-analysis-apache-spark-uc-berkeleyx-cs110x" rel="external nofollow noreferrer">EdX - 基于Apache Spark的大数据分析</a>、<a href="http://www.stanford.edu/class/cs246/index.html" rel="external nofollow noreferrer">Stanford - 海量数据集挖掘</a></li>
</ul>
</li>
<li><strong>数据表示与优化</strong>：
<ul>
<li><a href="http://www.tableausoftware.com/learn/training" rel="external nofollow noreferrer">Tableau - 训练教程</a>、<a href="http://courses.had.co.nz/11-rice/" rel="external nofollow noreferrer">基于ggplot2与plyr的R语言数据可视化</a>、<a href="http://horicky.blogspot.com.au/2012/05/predictive-analytics-overview-and-data.html" rel="external nofollow noreferrer">预测分析 - 概述与数据可视化</a>、<a href="http://flowingdata.com/category/tutorials/" rel="external nofollow noreferrer">Flowing Data - 使用手册</a>、<a href="http://vis.berkeley.edu/courses/cs294-10-sp11/wiki/index.php/CS294-10_Visualization" rel="external nofollow noreferrer">UC Berkeley - 数据可视化</a>、<a href="https://www.dashingd3js.com/table-of-contents" rel="external nofollow noreferrer">D3.js入门教程</a></li>
</ul>
</li>
<li><strong>领域知识</strong>：
<ul>
<li>此类技能来自于行业中实际的工作经验。不同数据集往往具有不同的特点，且基于某些假设和行业知识。例如，专注于股票市场数据研究的数据分析师可能需要额外的时间来研究餐馆交易数据的相关知识。</li>
</ul>
</li>
</ol>
<p><strong>综合材料</strong>：</p>
<ul>
<li><a href="http://dataiap.github.io/dataiap/" rel="external nofollow noreferrer">Data Literacy Course -- IAP</a></li>
<li><a href="https://www.coursera.org/course/datasci" rel="external nofollow noreferrer">Coursera - Introduction to Data Science</a></li>
<li><a href="https://www.coursera.org/specialization/jhudatascience/1" rel="external nofollow noreferrer">Coursera - Data Science Specialization</a></li>
</ul>
<p><strong>图书</strong>：</p>
<ul>
<li><a href="http://statweb.stanford.edu/~tibs/ElemStatLearn/" rel="external nofollow noreferrer">Elements of Statistical Learning</a></li>
<li><a href="https://github.com/rasbt/python-machine-learning-book" rel="external nofollow noreferrer">Python Machine Learning</a></li>
</ul>
<p><strong>具体应用</strong>：</p>
<ul>
<li><a href="http://cs109.org/homework/homework.php" rel="external nofollow noreferrer">Harvard Data Science Course Homework</a></li>
<li><a href="https://www.kaggle.com/" rel="external nofollow noreferrer">Kaggle: The Home of Data Science</a></li>
<li><a href="http://blogs.ischool.berkeley.edu/i290-abdt-s12/" rel="external nofollow noreferrer">Analyzing Big Data with Twitter</a></li>
<li><a href="http://blog.cloudera.com/blog/2012/09/analyzing-twitter-data-with-hadoop/" rel="external nofollow noreferrer">Analyzing Twitter Data with Apache Hadoop</a></li>
</ul>
<p><strong>数据科学入门的系统方法</strong></p>
<p>有很多种方法可以使你成为一名数据科学家，如果你希望以一种更为系统、完善的方式学习数据科学，你可以参考这篇博客：<a href="https://hail-data.quora.com/How-to-acquire-the-Essential-Skill-Set-the-Formal-way" rel="external nofollow noreferrer">如何获得"基本技能集"—系统化学习的方式</a>。</p>
<p>基本技能集（Essential Skill Set）是每一名数据科学家都需要了解的基础技能。一般来说，这些技能可以通过在相关机构攻读计算机科学学位或统计学学位的方式获得。斯坦福大学的<a href="https://cs.stanford.edu/courses" rel="external nofollow noreferrer">计算机科学课程</a>与<a href="http://www-stat.stanford.edu/courses/index.html" rel="external nofollow noreferrer">统计学课程</a>提供了一份很不错的参考课程列表。如今，这些课程中有一些课程彼此关联，相互联系，但也有许多课程与其他课程的联系并不大。例如，对于计算机科学专业来说，尽管学习大规模分布式数据库与算法很重要，但是学习人机界面交互和用户体验设计似乎没有那么大的必要，类似的还有单一类型存储、操作系统以及通信网络等等。同样地，有些统计学课程过于注重书本知识，换句话说，仅教授"古老的的学校统计学"，其中包括成千上万种假设检验的方法，而不是把重心放在机器学习（聚类、回归、分类等）上。因此，无论是传统统计学还是计算机科学，它们都有一些很优秀的、对于数据科学学习必不可少的课程，但也有很多可有可无、与数据科学无关的课程（我敢说，就目前的情况而言，传统统计学中值得学习的课程比例，要比计算机科学中的比例更大一些）。因此，我们需要谨慎且明智地选择课程。</p>
<p>或者，我们也可以考虑那些新开设的数据科学课程，一些大学正在提供我前面提到的一些技能。这些大学将传统统计学同计算机科学合并在一起，以向学生传授前面第四项提到的那些<a href="https://hail-data.quora.com/What-are-the-essential-skills-of-a-Data-Scientist" rel="external nofollow noreferrer">基本技能</a>，此外，也包括锻炼学生<a href="https://hail-data.quora.com/What-are-the-essential-skills-of-a-Data-Scientist" rel="external nofollow noreferrer">差异化技能</a>的相关课程。<a href="http://cds.nyu.edu/academics/ms-in-data-science/curriculum/required-courses/" rel="external nofollow noreferrer">纽约大学的数据科学理学硕士</a>与<a href="http://www.usfca.edu/management/analytics/courses/" rel="external nofollow noreferrer">旧金山大学的分析学理学硕士</a>等都对此类基本课程进行了结合。这里列出了这类课程的完整列表：<a href="http://datascience101.wordpress.com/2012/04/09/colleges-with-data-science-degrees/" rel="external nofollow noreferrer">设有数据科学学位的学院</a>。</p>
<p>数据科学家在具体职能上也存在着不同的分支。O'Rielly出版社近期出版的一本名为"Analyzing the Analyzers"的图书对数据科学家的划分提供了一项很好的参考，书中数据科学家的众多角色根据技能的不同被划分至四种不同的类型。因此，我们可以根据数据科学家的这四种类型，选择最适合自己的学习方向，数据科学家的四种类型如下：</p>
<ul>
<li><strong>数据商人</strong>，专注于产品与盈利的数据科学家。他们是领导者、管理者和企业家，同时也热衷于技术。比较普遍的成长路线是在获得工程学位的同时，攻读工商管理硕士学位或前面提到的新型数据科学学位。</li>
<li><strong>数据创意顾问</strong>，不拘一格的多面手，能够结合各种各样的数据和工具进行工作。他们对自己的定位可能是艺术家或者黑客，并且擅长数据可视化以及开源技术。这类数据科学家需要具备工程学位（主要是统计学或经济学），但是对商业技能没有过多的要求。</li>
<li><strong>数据开发人员</strong>，专注于相关软件和工具的编写，以便在生产环境中进行数据分析、统计以及机器学习等任务。他们一般都有计算机科学学位，并具备所谓的"大数据"领域的相关工作经验。</li>
<li><strong>数据研究人员</strong>，应用科学训练方法以及在学术界中学到的工具和技术来组织数据。他们可能具有统计学、经济学或物理学等领域的理学学位或博士学位，他们对数学工具的创造性应用能够产生宝贵的洞察和数据产品。</li>
</ul>
<p>正如前面所介绍的，数据科学家角色的四种主要类型所对应的不同技能需求如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzYwZDQ4MjMzZmVkZTVmNjQ0MWViYzgxNWMzZjcyODdlZDJkODlhZDgucG5n.jpg"></p>
<hr>
<br /><strong><a href="https://www.quora.com/profile/Vik-Paruchuri" rel="external nofollow noreferrer">Vik Paruchur</a>，开发者，数据科学家，Dataquest创始人</strong></p>
<p>我大约在四年前开始学习数据科学。那时我没有一点实际编程的经验。下面的建议非常适合那些与我过去经历类似的初学者。</p>
<p>围绕着数据科学学习的许多建议首先都会从Python开始，或者是从一门基础的线性代数课程开始。 这个建议没有任何问题，但是，如果我采纳了这些建议，我可能永远都不会学到任何真正与数据科学相关的知识。</p>
<p><strong>1. 学会热爱数据</strong></p>
<p>似乎没有人谈论过学习数据科学的动机是什么。数据科学是一个广泛却又模糊的领域，这使得数据科学很难入门。这真的很难。如果没有一个强大的动机激励着自己，你最后很可能会半途而废，认为自己不适合这个领域。</p>
<p>你需要一些能够激励你的动力，即使是在凌晨一点，公式看起来越来越困惑，甚至开始怀疑自己今晚究竟能不能搞明白神经网络，你仍然能够打起精神继续学习。</p>
<p>你需要学会找到不同事物间的联系，例如统计学、线性代数以及神经网络。你应该避免问出类似"我下一步该学些什么？"这样的问题。</p>
<p>我学习数据科学时的切入点是股市预测，尽管当时我并不知道自己在做些什么。我最开始为了预测股市编写的代码基本上没有使用任何统计数据。但是我可以知道的是，程序的结果并不理想，因此我需要日夜不停地工作，让程序的效果更好。</p>
<p>我痴迷于程序性能的优化。我迷恋股市。我在培养我对数据的热爱。而正是因为我对数据的热爱，我才会有动力学习任何我需要的技术，让我的程序运行得更好。</p>
<p>我知道不是每个人都会痴迷于预测股市。但是，找到那些你真正感兴趣、能够激励你学习的东西真的非常重要。</p>
<p>能够引起你兴趣的事情有很多，例如<a href="http://iquantny.tumblr.com/archive" rel="external nofollow noreferrer">找出你所在城市的新鲜或者有趣的事物</a>，<a href="https://imgur.com/aQUHzgu" rel="external nofollow noreferrer">为互联网上的所有设备建立映射关系</a>，<a href="http://www.wired.com/2012/04/analytics-basketball/" rel="external nofollow noreferrer">找出NBA球员打球时的真正位置</a>，或者其他任何不同寻常的事情等等。学习数据科学最神奇的地方在于有无限多的有趣的事情值得我们去研究——你需要做的只是提出一个问题，然后找到一种能够获得答案的方法。</p>
<p>调整你的学习过程，根据兴趣引导自己下一步的学习方向，而不是相反。</p>
<p><strong>2. 在实践中学习</strong></p>
<p>学习神经网络、图像识别以及其他的尖端技术非常重要。但是大多数的数据科学并不涉及这些内容。这里有一些很重要的准则：</p>
<ul>
<li>你实际工作中90%的时间都会用来清洗数据。</li>
<li>深入理解几个算法要比浅显地了解很多算法好得多。如果你对线性回归、k均值聚类和逻辑回归有很深入的理解，能够解释算法的原理和结果，推导其中的公式，能够把这些算法应用到实际的数据项目中去，那么比起那些只知道每个单独的算法、却不懂得如何应用的人，你的就业优势会大得多。</li>
<li>大多数情况下，当你需要使用某一个算法时，你都可以在现有的工具库中找到现成的版本（你很少需要自己编写代码实现支持向量机——这会耗费大量的时间）。</li>
</ul>
<p>这意味着学习数据科学最好的方式是在项目中实践。在具体项目中，你可以接触到那些真正有效且有用的技术。你也会有一个更好的方式来搭配你在股市的投资组合。</p>
<p>在项目中实践的首要任务是找到一份你感兴趣的数据集。根据这个数据集的特点，回答一个有趣的问题。反复重复这样的过程。</p>
<p>这里有一些网站提供免费的数据资源，或许是一个不错的选择：</p>
<ul>
<li><a href="http://rs.io/100-interesting-data-sets-for-statistics/" rel="external nofollow noreferrer">100多个有趣的统计数据集</a></li>
<li><a href="https://www.reddit.com/r/datasets" rel="external nofollow noreferrer">数据集归档</a></li>
</ul>
<p>另一个关键点在于找到一个深层次的问题（我也正是这样做的），预测股市的任务仍然可以把它分解成若干个小的可实施的步骤。我首先使用了雅虎财经提供的API，获取了每日的股价数据。随后，我设置了一些指标，比如过去几天股票的均价，并使用这些指标来预测未来股价的走势（请注意，在这里我并没有使用真正的算法，只是从技术的角度进行分析）。这样做的效果并不是很理想，因此，我学习了一些统计学的知识，然后使用了线性回归。我使用了另一个API爬取每分钟的股价变化，并把这些数据存储在SQL数据库中。就这样一直不断调整预测策略，直到算法的效果达到我的要求。</p>
<p>这样做的意义在于我从中找到了学习的动力。我不是简单地学习SQL语法——而是使用SQL语句来存储股价数据，在这个过程中我学到的知识远比单纯学习SQL学到的多得多。如果没有实践，学到的知识很快就会遗忘，你也永远不会为真正的数据科学工作做好准备。</p>
<p><strong>3. 学会交流经验</strong></p>
<p>数据科学家经常需要将自己的分析结果展示给其他人。良好的沟通技巧能够让一名还不错的数据科学家成为一名真正伟大的数据科学家。</p>
<p>在与他人交流经验的过程中，首先需要对主题和理论有很好的理解。另外，也需要清楚如何简洁地组织自己的数据。最后，还要清晰明了地阐述你的分析结果。</p>
<p>在交流一些比较复杂的概念时，我们很难做到有效地沟通，这里有一些你应该尝试的技巧：</p>
<ul>
<li>写一篇博客。展示你的数据分析结果。</li>
<li>试着向那些没有技术背景的朋友和家人讲解一些数据科学中的概念。这样做的效果很神奇，你能够从中明白什么程度的介绍才能让其他人理解这些概念。</li>
<li>尝试在会议中发表自己的见解。</li>
<li>使用GitHub托管所有的分析结果和程序。</li>
<li>活跃于Quora、<a href="http://www.datatau.com/" rel="external nofollow noreferrer">DataTau</a>以及<a href="http://www.reddit.com/r/machinelearning" rel="external nofollow noreferrer">Reddit</a>等相关社区。</li>
</ul>
<p><strong>4. 向同龄人学习</strong></p>
<p>你无法想象在与他人合作的过程中能够学到多少知识。在数据科学领域，团队合作在工作环境中也同等重要。</p>
<p>这里有一些具体的做法：</p>
<ul>
<li>在会议中寻找自己的同事。</li>
<li>为开源软件包贡献自己的力量。</li>
<li>如果你能够提供帮助或合作，联系那些发表了关于数据分析的有趣博客的作者。</li>
<li>试试<a href="http://www.kaggle.com/" rel="external nofollow noreferrer">Kaggle</a>，看自己能不能找到一个队友。</li>
</ul>
<p><strong>5. 不断提高难度</strong></p>
<p>你对现在正在从事的项目是否满意？你最后一次尝试新的技术和概念是在什么时候？一个星期以前？是时候尝试一些更高难度的任务了。数据科学就像是一座陡峭的山峰，如果你停止攀爬，你永远都无法欣赏到山顶的美景。</p>
<p>如果你发现自己的工作已经没有什么挑战，这里有一些做法可供参考：</p>
<ul>
<li>处理更大的数据集，学习使用Spark。</li>
<li>看看自己能不能让算法运行得更快。</li>
<li>你如何将算法扩展到多个处理器上？你能做到吗？</li>
<li>尝试教一个新手，做你现在做的同样的事情。</li>
</ul>
<p><strong>写在最后</strong></p>
<p>这并不是一个从入门到精通的学习路线图，明确告诉你在各个阶段需要做什么，相反，这些内容是你在学习数据科学时需要遵循的一套粗略的指南。如果你做到了前面提到的这些事情，那么你会发现自己已经掌握了数据科学的专业知识。</p>
<p>我通常不喜欢那些介绍了一大堆资料的方法，因为这种方法提供了太多的选择，读者很难弄清楚下一步究竟该做些什么。我看到过很多人在面对一大批教科书和在线课程时选择了放弃。</p>
<p>我个人认为，如果端正自己的心态， 任何人都可以从事数据科学相关的工作。</p>
<p>我本人也是<a href="https://www.dataquest.io/" rel="external nofollow noreferrer">dataquest.io</a>的创始人，这个网站可以帮助你在浏览器中学习数据科学。它封装了很多在前面内容中介绍的算法，可以为用户创造更好的学习体验。你可以通过分析有趣的数据集来学习数据科学，例如CIA文档和NBA球员统计数据。如果你不知道如何编程，请不要担心——我们会介绍如何使用Python。我们选择Python是因为它是最适合初学者学习的语言，可用于很多实际的数据科学工作，而且还可以应用在各种应用的开发当中。</p>
<p><strong>一些有用的资源</strong></p>
<p>在我参与一些项目时，我发现这些资源很有帮助。请记住，资源本身并没有任何效果——要为这些知识找到应用的场景：</p>
<ul>
<li><a href="http://www.khanacademy.org/#statistics" rel="external nofollow noreferrer">可汗学院</a>——不错的统计学和线性代数基础内容。</li>
<li><a href="http://math.mit.edu/~gs/linearalgebra/" rel="external nofollow noreferrer">线性代数导论，第四版</a>——Gilbert Strang的线性代数著作。</li>
<li><a href="http://ocw.mit.edu/resources/res-18-001-calculus-online-textbook-spring-2005/textbook/" rel="external nofollow noreferrer">教科书|微积分 麻省理工学院公开课程</a>——同样出自Gilbert Strang，微积分经典教科书。</li>
<li><a href="http://www-stat.stanford.edu/~tibs/ElemStatLearn/" rel="external nofollow noreferrer">统计学习基础：数据挖掘、推理与预测（第二版）</a>——一本很好的机器学习图书。</li>
<li><a href="http://www.ml-class.org/" rel="external nofollow noreferrer">Andrew Ng的在线机器学习课程</a>——Coursera上的热门课程。</li>
<li><a href="https://www.openintro.org/stat/textbook.php" rel="external nofollow noreferrer">OpenIntro统计学</a>——很好的统计学基础教程。</li>
<li><a href="https://scholar.google.com/" rel="external nofollow noreferrer">谷歌学术</a>——阅读论文是了解当前研究进展的一个很好的方式。例如，<a href="http://link.springer.com/article/10.1023/A:1010933404324#page-1" rel="external nofollow noreferrer">这篇</a>是Breiman最初发表的关于随机森林的论文。</li>
</ul>
<hr>
<br /><strong><a href="https://www.quora.com/profile/Pathan-Karimkhan" rel="external nofollow noreferrer">Pathan Karimkhan</a>，开发人员，专注于大数据、机器学习、自然语言处理</strong></p>
<p>成为一名数据科学家通常需要在计算机科学与应用、建模、统计学、分析以及数学等方面具有坚实的基础。</p>
<p>数据科学家的独特之处在于具有强大的商业头脑，以及能够以一种足以影响组织结构如何应对业务挑战的方式将分析结果传达给业务与IT领导的能力。 优秀的数据科学家不仅能够解决业务问题，他们还能够挑选出对组织机构最有价值的问题。</p>
<p>此外，我也相信在数据科学、机器学习以及自然语言处理领域的深入研究在未来能够有助于解决现实生活中的实际难题。在我看来，4-5年的开发经验才能够达到这样的水平。</p>
<p><strong>1. 计算机科学课程导论</strong></p>
<p>注意：这里仅涉及提供代码指导的计算机科学入门课程</p>
<p>在线资源：</p>
<ul>
<li><a href="https://www.google.com/url?q=https%3A%2F%2Fwww.udacity.com%2Fcourse%2Fcs101&amp;sa=D&amp;sntz=1&amp;usg=AFQjCNGdmrWTUY5b_qe3xle9-ddkB1YXqA" rel="external nofollow noreferrer">Udacity - 计算机科学入门课程</a></li>
<li><a href="https://www.google.com/url?q=https%3A%2F%2Fwww.coursera.org%2Fcourse%2Fcs101&amp;sa=D&amp;sntz=1&amp;usg=AFQjCNE-mScGCD0MJRKuWuFyLJbIr4XdbA" rel="external nofollow noreferrer">Coursera - 计算机科学101</a></li>
</ul>
<p><strong>2. 至少使用一种面向对象编程语言编写代码</strong></p>
<p>适合新手的在线资源包括：</p>
<ul>
<li><a href="https://www.google.com/url?q=https%3A%2F%2Fwww.coursera.org%2Fcourse%2Fprogramming1&amp;sa=D&amp;sntz=1&amp;usg=AFQjCNERrKn8RoMF2C-tzZ_51XpGA2QzUQ" rel="external nofollow noreferrer">Coursera - 学习编程：基础</a></li>
<li><a href="http://www.google.com/url?q=http%3A%2F%2Focw.mit.edu%2Fcourses%2Felectrical-engineering-and-computer-science%2F6-092-introduction-to-programming-in-java-january-iap-2010%2Findex.htm&amp;sa=D&amp;sntz=1&amp;usg=AFQjCNHfuFmBicr4_Zh4dtfmk_mYq0BtNQ" rel="external nofollow noreferrer">MIT - Java语言程序设计</a></li>
<li><a href="https://developers.google.com/edu/python/" rel="external nofollow noreferrer">Google - 相关的Python课程</a></li>
<li><a href="https://www.coursera.org/course/interactivepython" rel="external nofollow noreferrer">Coursera - Python交互式编程</a></li>
<li><a href="http://www.openbookproject.net/thinkcs/python/english2e/" rel="external nofollow noreferrer">Python开源电子书</a></li>
</ul>
<p>进阶在线资源</p>
<ul>
<li><a href="https://www.udacity.com/course/cs212" rel="external nofollow noreferrer">Udacity - 计算机程序设计</a></li>
<li><a href="https://www.coursera.org/course/programming2" rel="external nofollow noreferrer">Coursera - 学习编程：撰写高质量代码</a></li>
<li><a href="https://www.coursera.org/course/proglang" rel="external nofollow noreferrer">Coursera - 程序设计语言</a></li>
<li><a href="http://cs.brown.edu/courses/cs173/2012/OnLine/" rel="external nofollow noreferrer">布朗大学 - 编程语言导论</a></li>
</ul>
<p><strong>3. 学习其他的编程语言</strong></p>
<p>注意：可以考虑这些编程语言——Java Script、CSS、HTML、Ruby、PHP、C、Perl、Shell、Lisp、Scheme。</p>
<p>在线资源：</p>
<ul>
<li><a href="http://www.w3schools.com/" rel="external nofollow noreferrer">w3school.com - HTML教程</a></li>
<li><a href="http://codeacademy.com/" rel="external nofollow noreferrer">学会编程</a></li>
</ul>
<p><strong>4. 测试代码</strong></p>
<p>注意：学会如何定位bug，创建测试用例以及软件鲁棒性检测。</p>
<p>在线资源：</p>
<ul>
<li><a href="https://www.udacity.com/course/cs258" rel="external nofollow noreferrer">Udacity - 软件测试方法</a></li>
<li><a href="https://www.udacity.com/course/cs259" rel="external nofollow noreferrer">Udacity - 软件调试</a></li>
</ul>
<p><strong>5. 提高逻辑推理与离散数学知识</strong></p>
<p>在线资源：</p>
<ul>
<li><a href="http://www.google.com/url?q=http%3A%2F%2Focw.mit.edu%2Fcourses%2Felectrical-engineering-and-computer-science%2F6-042j-mathematics-for-computer-science-fall-2010%2Findex.htm&amp;sa=D&amp;sntz=1&amp;usg=AFQjCNEXtF_m9Lj7XMQZFy8Y92633L2EcQ" rel="external nofollow noreferrer">MIT - 计算机科学数学</a></li>
<li>Coursera - 逻辑学导论</li>
<li><a href="https://www.coursera.org/course/linearopt" rel="external nofollow noreferrer">Coursera - 线性离散优化</a></li>
<li>Coursera - 概率图模型</li>
<li><a href="https://www.coursera.org/course/gametheory" rel="external nofollow noreferrer">Coursera - 博弈论</a></li>
</ul>
<p><strong>6. 深入了解算法与数据结构</strong></p>
<p>注意：学习基本的数据类型（栈、队列、背包等）、排序算法（快速排序、归并排序、堆排序等）、数据结构（二叉搜索树、红黑树、哈希表等）以及算法复杂度分析等等。</p>
<p>在线资源：</p>
<ul>
<li><a href="http://www.google.com/url?q=http%3A%2F%2Focw.mit.edu%2Fcourses%2Felectrical-engineering-and-computer-science%2F6-006-introduction-to-algorithms-spring-2008%2Findex.htm&amp;sa=D&amp;sntz=1&amp;usg=AFQjCNEIwTJvLQcPGJL2hPxLibPRvjhbbg" rel="external nofollow noreferrer">MIT - 算法导论</a></li>
<li>Coursera - 算法导论 <a href="https://www.coursera.org/course/algs4partI" rel="external nofollow noreferrer">Part 1</a>&amp; <a href="https://www.coursera.org/course/algs4partII" rel="external nofollow noreferrer">Part 2</a></li>
<li><a href="http://en.wikipedia.org/wiki/List_of_algorithms" rel="external nofollow noreferrer">维基百科 - 算法列表</a></li>
<li><a href="http://www.google.com/url?q=http%3A%2F%2Fen.wikipedia.org%2Fwiki%2FList_of_data_structures&amp;sa=D&amp;sntz=1&amp;usg=AFQjCNGRZ9Fud8WMZo2jelHNKc914X0NpA" rel="external nofollow noreferrer">维基百科 - 数据结构列表</a></li>
<li><a href="http://www.google.com/url?q=http%3A%2F%2Fwww.amazon.com%2FAlgorithm-Design-Manual-Steven-Skiena%2Fdp%2F1849967202%2Fref%3Dsr_1_5%3Fs%3Dbooks%26ie%3DUTF8%26qid%3D1360133842%26sr%3D1-5%26keywords%3Dalgorithms&amp;sa=D&amp;sntz=1&amp;usg=AFQjCNE3JRdn9BbEEQtSBsVhSViU6X1xdQ" rel="external nofollow noreferrer">图书 - 算法设计手册</a></li>
</ul>
<p><strong>7. 深入理解操作系统</strong></p>
<p>在线资源：</p>
<ul>
<li><a href="http://www.youtube.com/watch?v=XgQo4JkN4Bw&amp;list=PL3289DD0D0F0CD4A3" rel="external nofollow noreferrer">UC Berkeley - 计算机科学162</a></li>
</ul>
<p><strong>8. 学习人工智能</strong></p>
<p>在线资源：</p>
<ul>
<li>斯坦福大学 - <a href="http://see.stanford.edu/see/courseinfo.aspx?coll=86cc8662-f6e4-43c3-a1be-b30d1d179743" rel="external nofollow noreferrer">机器人导论</a>、<a href="http://see.stanford.edu/see/courseinfo.aspx?coll=63480b48-8819-4efd-8412-263f1a472f5a" rel="external nofollow noreferrer">自然语言处理</a>、<a href="http://see.stanford.edu/see/courseinfo.aspx?coll=348ca38a-3a6d-4052-937d-cb017338d7b1" rel="external nofollow noreferrer">机器学习</a></li>
</ul>
<p><strong>9. 学习如何构建编译器</strong></p>
<p>在线资源：</p>
<ul>
<li><a href="https://www.coursera.org/course/compilers" rel="external nofollow noreferrer">Coursera - 编译器设计</a></li>
</ul>
<p><strong>10. 学习密码学</strong></p>
<p>在线资源：</p>
<ul>
<li><a href="https://www.coursera.org/course/crypto" rel="external nofollow noreferrer">Coursera - 密码学</a></li>
<li><a href="https://www.udacity.com/course/cs387" rel="external nofollow noreferrer">Udacity - 密码学应用</a></li>
</ul>
<p><strong>11. 学习并发编程</strong></p>
<p>在线资源：</p>
<ul>
<li><a href="https://www.coursera.org/course/hetero" rel="external nofollow noreferrer">Coursera - 异构并行编程</a></li>
</ul>
<p><strong>针对大数据的工具和技术</strong>：</p>
<p><strong>Apache Spark</strong> - Apache Spark是一个开源的数据分析集群计算框架，最早由加州大学伯克利分校的AMP实验室开发。Spark建立在Hadoop分布式文件系统（HDFS）之上，适用于Hadoop生态环境的中各种框架。同时，Spark并不局限于两阶段的MapReduce编程范式， 对于某些特定的应用，Spark的性能可以取得优于Hadoop MapReduce100倍的性能。</p>
<p><strong>数据库管道</strong> - 你会发现数据库不仅仅可以用来处理数据， 它也可以应用在很多其他功能的组件当中。采集、存储、探索、机器学习与可视化，对这个项目的成功来说都至关重要。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2VhNTk0MmE3MzFhMjI0NWQxZjMxNTRhYzlhOWYyMWEwNGJlZjQ4MzEucG5n.jpg"></p>
<p><strong>SOLR</strong> - Solr实现了一个高度可扩展的数据分析引擎，其用户能够进行快速实时的知识发现。</p>
<p>Solr（读音同"solar"）是一个Apache Lucene项目中的开源企业搜索平台。其主要功能包括全文搜索、命中标示、层面检索、动态聚类、数据库集成以及富文档处理（例如Word、PDF）。Solr支持分布式搜索以及索引复制，具有高度的可扩展性。Solr是最受欢迎的企业搜索引擎。在Solr 4中还增加了NoSQL特性。</p>
<p><strong>S3</strong> - Amazon S3是由Amazon Web Services提供的用于在线文件存储的Web服务。Amazon S3基于Web服务接口提供文件存储服务。</p>
<p><strong>Hadoop</strong> - Apache Hadoop是一个<a href="http://en.wikipedia.org/wiki/Open_source" rel="external nofollow noreferrer">开源</a><a href="http://en.wikipedia.org/wiki/Software_framework" rel="external nofollow noreferrer">软件框架</a>，用于存储和大规模处理分布在<a href="http://en.wikipedia.org/wiki/Commodity_hardware" rel="external nofollow noreferrer">商用硬件</a><a href="http://en.wikipedia.org/wiki/Computer_cluster" rel="external nofollow noreferrer">集群</a>中的<a href="http://en.wikipedia.org/w/index.php?title=Data-set&amp;action=edit&amp;redlink=1" rel="external nofollow noreferrer">数据集</a>。Hadoop是Apache中的一个<a href="http://en.wikipedia.org/wiki/List_of_Apache_Software_Foundation_projects" rel="external nofollow noreferrer">顶级项目</a>，由成员遍及全球的社区贡献者和用户共同构建和使用。Hadoop使用<a href="http://en.wikipedia.org/wiki/Apache_License" rel="external nofollow noreferrer">Apache License</a> 2.0协议进行授权。</p>
<p><strong>MapReduce</strong>：Hadoop MapReduce是一个软件框架，用于快速编写分布式应用程序，以可靠、容错的方式在大型商用硬件集群（数千个节点）上并行处理海量数据（TB规模的数据集）。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2JmODljNzc5ZmViMjIyNDhiOTZlYzQyNTg5MTUwZTA5Mjc2NDY3YjYucG5n.jpg"></p>
<p>MapReduce作业通常将输入数据集拆分为若干个独立的数据块，这些数据块由map任务以完全并行的方式进行处理。MapReduce框架首先对map任务的输出进行排序，随后将其输入到reduce任务中。通常，MapReduce作业的输入和输出都存储在文件系统当中。 该框架负责任务调度、作业监视以及失败任务的重新执行。</p>
<p><strong>Corona</strong>:<br />
Corona是一个新型调度框架，将集群资源管理与作业协调相分离。Corona引入了一个用于跟踪集群中的各个节点和可用资源总量的集群管理器。 Corona为每个作业构建了专用的作业跟踪程序，并且能够在与客户端（对于小型作业来说）相同的进程中运行，或者作为集群中的单独进程（对于大型作业来说）运行。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2U1Mzg1Mzg2Mjk1MDY2NzdiOTZjOTU0NzcwYjdjZjcxMjY2M2I0MDMuanBlZw==.jpg"></p>
<p>与我们在前面介绍的Hadoop MapReduce实现的一个主要区别在于，Corona使用了基于推送的，而不是基于拉式的任务调度机制。在集群管理器接收到作业跟踪程序发出的资源接收请求后，Corona将授权的资源推送至作业跟踪器当中。 此外，一旦作业跟踪器获得了授权的资源，它将创建相应的数据处理任务，并将这些任务推送至任务跟踪器以便后续执行。 在这种调度机制中并不涉及周期性的心跳检测，因此调度等待时间得以最小化。 详见：<a href="https://www.facebook.com/notes/facebook-engineering/under-the-hood-scheduling-mapreduce-jobs-more-efficiently-with-corona/10151142560538920" rel="external nofollow noreferrer">使用Corona更高效地调度MapReduce作业</a>。</p>
<p><strong>HBase</strong>：HBase是一个<a href="http://en.wikipedia.org/wiki/Non-relational_database" rel="external nofollow noreferrer">非关系型</a>的<a href="http://en.wikipedia.org/wiki/Distributed_database" rel="external nofollow noreferrer">分布式</a><a href="http://en.wikipedia.org/wiki/Open_source" rel="external nofollow noreferrer">开源</a>数据库，其以<a href="http://en.wikipedia.org/wiki/Google" rel="external nofollow noreferrer">Google</a>提出的<a href="http://en.wikipedia.org/wiki/BigTable" rel="external nofollow noreferrer">BigTable</a>为原型，并使用Java语言实现。它作为<a href="http://en.wikipedia.org/wiki/Apache_Software_Foundation" rel="external nofollow noreferrer">Apache软件基金会</a>中<a href="http://en.wikipedia.org/wiki/Hadoop" rel="external nofollow noreferrer">Apache Hadoop</a>项目的子项目进行开发，并运行在<a href="http://en.wikipedia.org/wiki/Hadoop_Distributed_Filesystem" rel="external nofollow noreferrer">HDFS（Hadoop分布式文件系统）</a>之上，为Hadoop提供类似于BigTable的功能。也就是说，HBase提供了一种存储海量规模<a href="http://en.wikipedia.org/wiki/Sparse_file" rel="external nofollow noreferrer">稀疏</a>数据的<a href="http://en.wikipedia.org/wiki/Fault-tolerant" rel="external nofollow noreferrer">容错</a>方法（在数据集中存在着大量的空值或无关数据集，仅含有少量的有效信息，例如，在一组20亿条的记录当中查找最大的50项，或者找到数量不足整个数据集0.1％的非零项数据）。</p>
<p><strong>Zookeeper</strong> - Apache ZooKeeper是<a href="http://en.wikipedia.org/wiki/Apache_Software_Foundation" rel="external nofollow noreferrer">Apache软件基金会</a>中的一个软件项目，为大型<a href="http://en.wikipedia.org/wiki/Distributed_systems" rel="external nofollow noreferrer">分布式系统</a>提供<a href="http://en.wikipedia.org/wiki/Open_source" rel="external nofollow noreferrer">开源</a>的分布式配置、同步服务以及命名注册等服务。ZooKeeper由Apache Hadoop的Zookeeper子项目发展而来，而如今已经成为了Apache的顶级项目。</p>
<p><strong>Hive</strong> - Apache Hive是一个基于Hadoop构建的<a href="http://en.wikipedia.org/wiki/Data_warehouse" rel="external nofollow noreferrer">数据仓库</a>基础架构，用于提供数据汇总、数据查询以及数据分析等服务。尽管最初由<a href="http://en.wikipedia.org/wiki/Facebook" rel="external nofollow noreferrer">Facebook</a>开发，Apache Hive现在由<a href="http://en.wikipedia.org/wiki/Netflix" rel="external nofollow noreferrer">Netflix</a>等其他公司进行开发与使用。Amazon在其<a href="http://en.wikipedia.org/wiki/Amazon_Web_Services" rel="external nofollow noreferrer">Amazon Web Services</a>的Amazon Elastic MapReduce中也维护着Apache Hive的一个软件分支。</p>
<p><strong>Mahout</strong> - Apache Mahout是<a href="http://en.wikipedia.org/wiki/Apache_Software_Foundation" rel="external nofollow noreferrer">Apache软件基金会</a>的一个项目，提供分布式或其他可扩展机器学习算法的免费实现，主要用于<a href="http://en.wikipedia.org/wiki/Collaborative_filtering" rel="external nofollow noreferrer">协作过滤</a>、聚类以及分类领域。Mahout中许多算法的实现基于Apache Hadoop平台。Mahout还提供了用于常见数学操作（与线性代数和统计学相关的数学操作）以及原始Java集合的Java库。Mahout是一项正在进行中的工作，它实现的算法数量正在迅速增长，但目前来讲，仍有很多算法尚未实现。</p>
<p><strong>Lucene</strong>是一个包含NLP和搜索相关工具的软件集合，但它的核心功能是一个搜索索引和检索系统。它从HBase等数据存储中获取数据，并为其构建索引，以便后续在搜索查询时实现快速检索。Solr使用Lucene作为引擎，为数据索引和数据检索任务提供了一个便捷高效的REST API。ElasticSearch也与Solr类似。</p>
<p><strong>Sqoop</strong>是一个用于实现关系型数据库与分布式数据仓库间数据转换的命令行接口。当你在每天晚上都为向Hive仓库导入数据库表的备份和快照时，这种工具或许可以提供帮助。</p>
<p><strong>Hue</strong>是包含上述工具子集的基于Web的图形化用户界面。Hue将最常用的Apache Hadoop组件集成到单个接口中，以web程序的形式发布，对于单独的用户来说不需要额外的安装。Hue注重用户体验，它的主要目标是让用户"仅使用"Hadoop，而不需要关心底层复杂的分布式系统或使用命令行执行任务。</p>
<p><strong>Pregel</strong>和它的孪生开源软件Giraph提供了一种在集群上对数十亿个节点和数万亿条边执行图算法的方法。值得注意的是，MapReduce模型不太适合图数据处理，因此在这个模型中，Pregel并没有使用Hadoop或MapReduce，但数据存储仍选择了HDFS或GFS。</p>
<p><strong>NLTK</strong> - 自然语言工具集，通常简称为NLTK，包含一组为Python编程语言提供的用于符号形式和统计学<a href="http://en.wikipedia.org/wiki/Natural_language_processing" rel="external nofollow noreferrer">自然语言处理（NLP）</a>的工具库和程序。NLTK包括一些图形演示和示例数据。NLTK还有一本配套的图书，介绍了该工具集支持的语言处理任务隐含的基本概念，以及一本使用手册。</p>
<p>NLTK旨在为自然语言处理或其他密切相关领域的研究和教学提供支持，这些相关领域包括经验<a href="http://en.wikipedia.org/wiki/Linguistics" rel="external nofollow noreferrer">语言学</a>、<a href="http://en.wikipedia.org/wiki/Cognitive_science" rel="external nofollow noreferrer">认知科学</a>、<a href="http://en.wikipedia.org/wiki/Artificial_intelligence" rel="external nofollow noreferrer">人工智能</a>、<a href="http://en.wikipedia.org/wiki/Information_retrieval" rel="external nofollow noreferrer">信息检索</a>以及<a href="http://en.wikipedia.org/wiki/Machine_learning" rel="external nofollow noreferrer">机器学习</a>等。</p>
<hr>
<br />以上为译文</p>
<p><strong>文章原标题《How can I become a data scientist?》，译者：6816816151</strong></p>
<p><strong>文章为简译，更为详细的内容，请查看<a href="https://www.quora.com/How-can-I-become-a-data-scientist-1" rel="external nofollow noreferrer">原文</a></strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 18:58:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9c%ba%e5%99%a8%e5%ad%a6%e4%b9%a0/" title="机器学习">机器学习</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%88%86%e6%9e%90/" title="数据分析">数据分析</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0%e6%8d%ae/" title="大数据">大数据</a>, <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/hadoop/" title="hadoop">hadoop</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%a7%91%e5%ad%a6/" title="数据科学">数据科学</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>数据分析师的基本素养——论如何成为一名数据科学家 Part 2的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rG35p.html" rel="bookmark">我是数据分析师（一）：假老公提Excel数据自动更新的需求&mdash;&mdash;Quick BI新手使用入门篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:violin   原文链接:https://zhuanlan.zhihu.com/p/23787228 场景介绍 昨天晚上老公突然说到,要是excel每天能自动生成自己想要的所有数据就好了. 我楞了一下,老公居然要做报表,我是遇到了个假老公么!不过,他好像说得挺有道理的,在与excel打交道的过程中免不了会遇到这些问题: 1.重复操作 好不容易把excel的数据分析好做成了报表,过几天,同样的数据更新了,而报表数据却不会自动更新,又得基于新数据重新来一遍: 2.拼代码能力 如不想手工重复操			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXjal4b.html" rel="bookmark">CDA数据分析师协会等级认证证书</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CDA数据分析师协会等级认证证书 (Certified Data Analyst  Certificate) CDA数据分析师证书由CDA数据分析师协会官方颁发,此证书在国内需通过人大经济论坛举办的CDA等级认证考试后获得.此证书可作为企业事业单位选拔和聘用专业人才的任职参考依据.  一.考试简介:  CDA(Certified Data Analyst),全称&quot;注册数据分析师&quot;,由&quot;CDA注册数据分析师协会(Certified Data Analyst Institute)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlVXYaz.html" rel="bookmark">从幕后走到台前 数据分析师眼中的大数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据,自从变成了当今社会仅次于能源资源的另一类重要资源之后,已经开始被越来越多的用户所重点关注,很多人也说当今的这个社会是大数据的社会,大数据时代到来了.伴随着大数据时代的到来以及大数据所导致的各类IT信息技术的飞速发展,数据分析师成为了近些年炙手可热的岗位. 然而伴随着数据的爆发式增长,相对应的带给企业用户机会的同时也带来了很多来自数据端的挑战,大数据在众多行业当中的应用也开始变得广泛起来.本期,笔者就和大家一起来聊聊从数据分析师的角度上来看,未来大数据将会面临到什么样的机会和挑战. 工具和人			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPX1Vrp.html" rel="bookmark">大数据时代留给数据分析师的羁绊</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大数据搭着信息时代的快车来到了我们的面前,数据的价值逐渐为人们所重视,同时也让数据分析师的身价倍增.而随着大数据分析工具等大数据应用技术的出现,未来的数据分析师又将遇到怎样的挑战和机遇呢? 工具抢了人的饭碗? 很多大数据分析工具的设计起点非常高,定位了数据分析过程中所需要的大部分功能.好的工具应该可以从数据前期整合.收集到挖掘.分析乃至末端的数据可视化的整个数据分析过程. 但如果仅凭这些就认定大数据分析工具能取代数据分析师,未免有些杞人忧天了.恰恰相反,大数据分析工具不是数据分析师的竞争者,而是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXj46Kb.html" rel="bookmark">数据分析师成长之路-软件篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据分析师成长之路-软件篇  对于各式各样的数据统计分析软件,你了解多少呢?经过潜心搜集,整理,这里总结了一些软件的大体介绍及区别,欢迎大家指正和补充. 这里先略过Excel和Eviews这种入门软件的介绍,直接从SPSS开始吧! SPSS:傻瓜相机SPSS(Statistical Product and Service Solutions),&quot;统计产品与服务解决方案&quot;软件,是数据定量分析的工具,适用于社会科学(如经济分析,市场调研分析)和自然科学等林林总总的统计分析,国内使用的最多,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bammdQb.html" rel="bookmark">七周成为数据分析师&mdash;Excel实战篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是&lt;七周成为数据分析师&gt;的第三篇教程,如果想要了解写作初衷,可以先行阅读七周指南.温馨提示:如果您已经熟悉Excel,大可不必再看这篇文章,或只挑选部分. 在Excel技巧和Excel函数后,今天这篇文章讲解实战,如何运用上两篇文章的知识进行分析.内容是新手向的基础教程.曾经有童鞋向我反应没有Excel数据练习,所以这次提供真实数据.为了更好的了解数据分析师这个岗位,我用爬虫爬取了招聘网站上约5000条的数据分析师职位数.拿数据分析师进行数据分析.数据真实来源于网络,属于网站方,请勿用于商			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQ34qp.html" rel="bookmark">浅谈大数据分析师</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在大数据崛起的时代,数据分析师这个职业将会越来越受到大家的青睐.数据分析师的职业现状和发展如何?数据分析师有哪些专业要求?在工作中到底需要做什么?这些都是想走进数据分析这个行业的童鞋们的疑问,数据观小编整理了一些数据分析行业前辈们的分享内容,供大家参考. 数据分析师的职业现状和发展如何有哪些专业要求 数据分析师的职业现状和发展 前不久看到这样一条新闻&quot;未来广告是否有效的关键是数据分析&quot;不只是广告营销,越来越多的行业看重数据分析这一领域,在信息爆炸的今天,一个优秀的数据分析师可以帮助企业			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QePJp.html" rel="bookmark">如何成为一名合格的数据分析师</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;21世纪什么最贵,人才&quot;,在目前大数据时代下,什么最难找,什么最贵,实现数据价值的人,数据分析师. 但是对于数据分析师的认识,比较极端,但对数据分析师价值的认识正在回归理性.很多人对数据分析师的期望,是无所不能,向诸葛亮一样&quot;指点江山,运筹帷幄&quot;,招了数据分析师,好像一切困难迎刃而解. 的确,好的数据分析师可以在企业中发挥很大的价值,可以对公司未来的用户行为进行提前预测,从而为营销人员提供更好营销参考.例如,以下案例: 女儿竟然怀孕了?! 美国第三大零售连锁超市T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4AY6z.html" rel="bookmark">CPDA项目数据分析师和CDA数据分析师有什么区别？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 CPDA项目数据分析师和CDA数据分析师有什么区别? 这个问题也是经常问到的,这里我做一个详细的区分.关于CPDA,CPDA全名叫项目数据分析师,在国内做培训比较早,课程内容主要针对的是基于传统企业在投资管理领域的项目分析,类似MBA,以数据支持来进行业务层面的管理和分析,课程包括&lt;量化投资&gt;等知识内容,应该说投资类企业的管理层适合学习CPDA来进行管理层面的分析和指导. 关于CDA,CDA全名是数据分析师,是真正意义上的数据分析,为什么说真正意义,因为一名合格的数据分析师他需要具备的能力有			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOk73z.html" rel="bookmark" class="title">CSS盒子模式详解五</a>
					<div>
						在本人上一篇教程&lt;彻底弄懂CSS盒子模式四(绝对定位和相对定位)&gt;中最后有演示一个综合导航实例,那时因为时间关系,同时本人也觉得有必要将这实例分出来单独讲一下,所以没有把实例讲解教程写到上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjGvnM.html" rel="bookmark" class="title">NetScreen－100防火墙</a>
					<div>
						NetScreen-100产品功能及性能说明 (一)高性能的防火墙产品 NetScreen-100防火墙产品是基于安全包处理器的高性能产品.全新的技术包括定制的专有的ASIC芯片免费加盟和策略实现.高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj9BZz.html" rel="bookmark" class="title">在右下角弹出提示</a>
					<div>
						public static string GetMsg(string strDescription) { string strScript = &quot;&lt;script language=\& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV3llb.html" rel="bookmark" class="title">Asp&period;net 2&period;0 用C&num; 创建 PDF文件&lbrack;引用&rsqb; &lpar;示例代码下载&rpar;</a>
					<div>
						asp.net|创建|示例|下载 (一). 功能   创建PDF文件(二). 代码  1using System;  2using System.Data;  3using System.Config ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlE08p.html" rel="bookmark" class="title">rs&period;open sql&comma;conn&comma;1&comma;1是仅向前的游标吗？</a>
					<div>
						游标 不知是谁第一个犯了这样的错,大家都一直认为rs.open sql,0,1就打开了一个仅向前的只读游标. 但昨天无意中才发现rs.open sql,conn,0,1才是打开仅向前的只读游标,我当时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn0dlz.html" rel="bookmark" class="title">内网通过映射后的公网IP访问内网服务测试：ASA8&period;0 hairpin NAT测试</a>
					<div>
						一.测试拓扑: 参考链接:http://blog.csdn.net/boblxs/article/details/8063814 二.基本思路: A.通过配置hairpin NAT使得内网通过映射后的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R1l9p.html" rel="bookmark" class="title">LINQ to SQL语句&lpar;8&rpar;之Concat&sol;Union&sol;Intersect&sol;Except</a>
					<div>
						Concat/Union/Intersect/Except操作 适用场景:对两个集合的处理,例 如追加.合并.取相同项.相交项等等. Concat(连接) 说明:连接 不同的集合,不会自动过滤相同项: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPJGOz.html" rel="bookmark" class="title">PS专业人像后期修饰教程：外景灰白天空美化技巧之渐变法</a>
					<div>
						  使用数码相机拍摄人像已经有10多年得历史,摄影师们对数码相机的使用已轻车熟路,达到了炉火纯青的地步.不过使用数码相机拍摄照片时仍会出现一些问题, 当然这些问题也许是由于环境与天气的原因影响所造成的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PqGjM.html" rel="bookmark" class="title">php读取csv实现csv文件下载功能</a>
					<div>
						 用PHP代码下载CSV文件,可以是字符串,也可以是一个CSV文件,下面直接上代码 第一段是读文件,下载. 第二段是字符串下载.   代码如下: &lt;?php $fileName = &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oo16b.html" rel="bookmark" class="title">JavaScript阻止浏览器返回按钮的方法</a>
					<div>
						 这篇文章主要介绍了JavaScript阻止浏览器返回按钮的方法,可实现通过javascript禁用掉返回按钮的功能,需要的朋友可以参考下     本文实例讲述了JavaScript阻止浏览器返回按钮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW2QGb.html" rel="bookmark" class="title">如何使用云地图搜索</a>
					<div>
						  您可以按照以下方法进行操作: 1.访问阿里云地图http://ditu.aliyun.com/,在搜索框内输入&quot;查询词&quot;,点击&quot;搜索&quot;按钮. 左侧文字区和地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oKa3b.html" rel="bookmark" class="title">Python installation</a>
					<div>
						  PIP:Python &amp; OS Support pip works with CPython versions 2.6, 2.7, 3.2, 3.3, 3.4 and also pypy. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7kvXz.html" rel="bookmark" class="title">后台第三方认证-如何用已知用户名和密码后台登陆另一个网站</a>
					<div>
						问题描述 如何用已知用户名和密码后台登陆另一个网站 我想用用户输入的学信网用户名和密码做学信网的认证,有什么方法可以实现的么? 解决方案 用httpclient把用户名.密码post过去得到返回值.只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NayNM.html" rel="bookmark" class="title">POJ 1228 凸包</a>
					<div>
						这题考察凸包的理解,题意让求一个凸包上每条边都有三个点,如果少于三个点那么凸包就不确定了,三点以上如果再加一个点就形成不了凸包了.通过极角排序完然后求跟凸包的相邻两点共线的点有没有就可以了,写得比较挫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjoDrp.html" rel="bookmark" class="title">javascript-meta中的refresh返回上一页，我想让它自动跳转到上一页，表单中的数据还保留</a>
					<div>
						问题描述 meta中的refresh返回上一页,我想让它自动跳转到上一页,表单中的数据还保留 我在head中添加了这样一句话,为什么还是不行? 整个head如下所示: Bootstrap Admin  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRQdDz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;细胞回输&rdquo;疗法有多&OpenCurlyDoubleQuote;神奇&rdquo;？</a>
					<div>
						&quot;细胞回输&quot;疗法有多&quot;神奇&quot;?&quot;锡安医疗&quot;对记者吹嘘--&quot;它能修补你的器官,保证你五年内不得癌症&quot;有些人&quot;就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqoy8b.html" rel="bookmark" class="title">django 快速实现session的操作</a>
					<div>
						说明: 从这一篇开始就不再完整的介绍django项目的创建过程了,因为前面几篇博客中都详细的介绍了这个创建过程,套路都是一样的,熟悉了这个套路,后面要做的是一些细节技术点的学习和练习.   上一节讲到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK765b.html" rel="bookmark" class="title">linux条件变量例程</a>
					<div>
						#include #include pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER; pthread_cond_t cond = PTHREAD_C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmK49b.html" rel="bookmark" class="title">结构型模式－－装饰模式</a>
					<div>
						下面先用java,然后用Objective-C行对装饰模式的讲解: 对于java的装饰模式讲解和使用比较详细和难度有点偏高,而对于Objective-C的装饰模式讲解和使用方面比较简单,而且和java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK6ygb.html" rel="bookmark" class="title">基于Java Socket的自定义协议，实现Android与服务器的长连接（一）</a>
					<div>
						一.基础知识准备 在正式给大家介绍自定义协议之前,我们先对网络传输和协议解析的相关知识点做一个基本的介绍,尽管这些知识点我们在学校里学过,但难免会有所遗忘,这里先做一个简单的介绍,以便对后文的内容理解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZZEnz.html" rel="bookmark" class="title">Form timer无法停止线程</a>
					<div>
						问题描述 我想通过timer实现定时启动任务的工作,大致代码如下,但是在执行后发现文本输出不会间隔两秒输出,停止该线程也不行privatevoidtimer2_Tick(objectsender,Ev ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEoG2M.html" rel="bookmark" class="title">MongoDB权限管理代码分析</a>
					<div>
						本文主要介绍Mongodb RBAC(role based access control)权限管理机制,其核心是给每个用户赋予一定的权限,用户连接mongodb前需先验证,验证通过后即拥有用户的权限, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M126V5p.html" rel="bookmark" class="title">如何设置网站TDK来增加流量</a>
					<div>
						建立一个网站很容易,随便在网上找个自己想要的源码,买个服务器或者虚拟主机,绑上域名.输入域名安装就可以了,轻轻松松一个网站就建好了.但是建站后的网站优化就难了.难不是指网站优化有多么高深,而是做网站优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgrv4M.html" rel="bookmark" class="title">淘宝&sol;天猫搜索排名优化规则</a>
					<div>
						淘宝/天猫搜索优化比起搜索引擎优化更注重商品,下边小脑袋一键竞价软件小编简单和大家分享一下. 以下因素共同作用,决定淘宝/天猫站内搜索所有宝贝的&quot;综合排序&quot;,优化淘宝/天猫搜索排名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYna8b.html" rel="bookmark" class="title">javascript中的几个运算符&lowbar;基础知识</a>
					<div>
						||是这样运算的:从第一个开始,遇到有意义的返回,否则返回最后一个表达式(注意不一定是Boolean值):  &amp;&amp;是这样运算的:从第一个开始,遇到无意义的返回,否则返回最后一个表达式( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWJ7Rz.html" rel="bookmark" class="title">基于touch&period;js手势库&plus;zepto&period;js插件开发图片查看器（滑动、缩放、双击缩放）&lowbar;javascript技巧</a>
					<div>
						最近由于公司项目需要图片查看器,网上搜了一圈,感觉资料很少,所以决定基于百度的touch.js手势库+zepto.js自己写了一个小插件,实现了左右滑动,双指缩放,双击缩放功能,基本使用还行,但是有时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6nXPM.html" rel="bookmark" class="title">如何把关键词上百度第一页</a>
					<div>
						第一.内容尽量原创或者伪原创.这是个老生常谈的话题了,大家都知道内容的重要性,但很多朋友还是喜欢偷懒,只愿意采集.正所谓天道酬勤,你付出了多少,收获也会有多少.而且,SEO的工作,排除你的一些核心资源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn853kb.html" rel="bookmark" class="title">MySQL实现批量插入以优化性能的教程&lowbar;Mysql</a>
					<div>
						对于一些数据量较大的系统,数据库面临的问题除了查询效率低下,还有就是数据入库时间长.特别像报表系统,每天花费在数据导入上的时间可能会长达几个小时或十几个小时之久.因此,优化数据库插入性能是很有意义的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkZOOp.html" rel="bookmark" class="title">如何去掉地址栏和工具栏</a>
					<div>
						问题描述 之前我用的window.open(),能去掉新窗品的工具栏和地址栏,可是我要做的是跳到sevlet,并在servlet里得到表单的内容并跳到新窗口.可是windwo.open(&quot;A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkEEAM.html" rel="bookmark" class="title">link环境下使用codefirst技术制作《网盘软件》，购买记录怎么实现？</a>
					<div>
						问题描述 link环境下使用codefirst技术制作&lt;网盘软件&gt;,购买记录怎么实现? link环境下使用codefirst技术制作&lt;网盘软件&gt;,购买记录怎么实现? 解决方案  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.045 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
